    lw r2, 4(r1)        ; load item1
    lw r3, 8(r1)        ; load item2
    lw r4, 16(r1)       ; load item3
    add r6, r2, r3      ; item1 + item2
    lw r5, 20(r1)       ; load item4
    sw 0(r1), r6        ; sum1 = item1 + item2
    add r7, r4, r5      ; item3 + item4
    sw 12(r1), r7       ; sum2 = item3 + item4

    add r8, r6, r7      ; sum1 + sum2
    sw 24(r1), r8       ; total = sum1 + sum2

    nop
    nop
    nop
    nop
